Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class Janitor

    java.lang.Object
      org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  HasCleanup

    public class Janitor

extends Object
implements HasCleanup

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

Version:
  $Id: Janitor.java 10601 2008-01-25 01:11:39Z blackdrag $
Author:
  Chris Poirier

Constructor Summary
`Janitor()`

Method Summary
`void` | `cleanup()`
`void` | `register(HasCleanup object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Janitor

    public Janitor()

Method Detail

### register

    public void register(HasCleanup object)

### cleanup

    public void cleanup()

  Specified by:
    `cleanup` in interface `HasCleanup`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD